/// <reference types="express" />
/// <reference types="bunyan" />
import Logger from 'bunyan';
import express from 'express';
import { Application, WebhookEvent } from './application';
import { Context } from './context';
export declare class Probot {
    server: express.Application;
    webhook: any;
    logger: Logger;
    private options;
    private apps;
    private app;
    constructor(options: Options);
    errorHandler(err: Error): void;
    receive(event: WebhookEvent): Promise<[void, void, void][]>;
    load(appFunction: string | ApplicationFunction): Application;
    setup(apps: Array<string | ApplicationFunction>): void;
    start(): void;
}
export declare const createProbot: (options: Options) => Probot;
export declare type ApplicationFunction = (app: Application) => void;
export interface Options {
    webhookPath?: string;
    secret?: string;
    id: number;
    cert: string;
    webhookProxy?: string;
    port?: number;
}
export { Logger, Context, Application };
